<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\TaskService;

class TaskController extends FMCrud{
    protected $TaskService;
   
    public function __construct($crudService, $environment, TaskService $TaskService) {
        parent::__construct($crudService, $environment);
        $this->TaskService = $TaskService;
    }

    public function getTarefaByTags(DTO\Request $request, DTO\Response $response){
        $params = $request->getParameters();
        $var = $this->TaskService->getTarefaByTags($params);
        $dtsVal = new DataSet('task', $var);
        $response->addDataSet($dtsVal);
    }
}

?>