<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class EscoposTarefaFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getEscopo() {
      $sql = "SELECT NRESCOPOSTAREFA, NMESCOPOSTAREFA
                FROM FCM_ESCOPOSTAREFA";
      $std = $this->connection->prepare($sql);
      $std->execute();
      return $std->fetchAll();
    }
    
    public function setEscopo($param){
        $sql="INSERT INTO FCM_ESCOPOSTAREFA (NRESCOPOSTAREFA, NMESCOPOSTAREFA, IDATIVO, NRORG, DTINCLUSAO, DTULTATU)
              VALUES (:NRESCOPOSTAREFA, :NMESCOPOSTAREFA, 'S', :NRORG, SYSDATE, SYSDATE)";
        $std = $this->connection->prepare($sql);
        $std->execute($param);
    }
}

?>